a1 = make_account(100)
a2 = make_account(200)
a3 = make_account(300)

def peter():
    display(a1("balance"), "Peter balance a1 before")
    display(a2("balance"), "Peter balance a2 before")
    exchange(a1, a2)
    display(a1("balance"), "Peter balance a1 after")
    display(a2("balance"), "Peter balance a2 after")

def paul():
    display(a1("balance"), "Paul balance a1 before")
    display(a3("balance"), "Paul balance a3 before")
    exchange(a1, a3)
    display(a1("balance"), "Paul balance a1 after")
    display(a3("balance"), "Paul balance a3 after")

print(concurrent_execute(peter, paul))
